Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
OsiUnitTest::TestOutcome Class Reference

A single test outcome record. More...

`#include <OsiUnitTests.hpp>`

Collaboration diagram for OsiUnitTest::TestOutcome:
[legend]

## Public Types
enum | SeverityLevel { NOTE = 0, PASSED = 1, WARNING = 2, ERROR = 3, LAST = 4 }
| Test result. More...

## Public Member Functions
| TestOutcome (const std::string &comp, const std::string &tst, const char *cond, SeverityLevel sev, const char *file, int line, bool exp=false)
| Standard constructor. More...
void | print () const
| Print the test outcome. More...

## Public Attributes
std::string | component
| Name of component under test. More...
std::string | testname
| Name of test. More...
std::string | testcond
| Condition being tested. More...
SeverityLevel | severity
| Test result. More...
bool | expected
| Set to true if problem is expected. More...
std::string | filename
| Name of code file where test executed. More...
int | linenumber
| Line number in code file where test executed. More...

## Static Public Attributes
static std::string | SeverityLevelName [LAST]
| Print strings for SeverityLevel. More...

## Detailed Description

A single test outcome record.

Definition at line 161 of file OsiUnitTests.hpp.

## Member Enumeration Documentation

enum OsiUnitTest::TestOutcome::SeverityLevel

Test result.

Enumerator
NOTE |
PASSED |
WARNING |
ERROR |
LAST |

Definition at line 164 of file OsiUnitTests.hpp.

## Constructor & Destructor Documentation

OsiUnitTest::TestOutcome::TestOutcome | ( | const std::string & | comp,
|  | const std::string & | tst,
|  | const char * | cond,
|  | SeverityLevel | sev,
|  | const char * | file,
|  | int | line,
|  | bool | exp = `false`
| ) |  |
| inline

Standard constructor.

Definition at line 188 of file OsiUnitTests.hpp.

## Member Function Documentation

void OsiUnitTest::TestOutcome::print | ( |  | ) | const

Print the test outcome.

## Member Data Documentation

std::string OsiUnitTest::TestOutcome::SeverityLevelName[LAST]
| static

Print strings for SeverityLevel.

Definition at line 172 of file OsiUnitTests.hpp.

std::string OsiUnitTest::TestOutcome::component

Name of component under test.

Definition at line 174 of file OsiUnitTests.hpp.

std::string OsiUnitTest::TestOutcome::testname

Name of test.

Definition at line 176 of file OsiUnitTests.hpp.

std::string OsiUnitTest::TestOutcome::testcond

Condition being tested.

Definition at line 178 of file OsiUnitTests.hpp.

SeverityLevel OsiUnitTest::TestOutcome::severity

Test result.

Definition at line 180 of file OsiUnitTests.hpp.

bool OsiUnitTest::TestOutcome::expected

Set to true if problem is expected.

Definition at line 182 of file OsiUnitTests.hpp.

std::string OsiUnitTest::TestOutcome::filename

Name of code file where test executed.

Definition at line 184 of file OsiUnitTests.hpp.

int OsiUnitTest::TestOutcome::linenumber

Line number in code file where test executed.

Definition at line 186 of file OsiUnitTests.hpp.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/Osi/src/OsiCommonTest/OsiUnitTests.hpp